> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace request history

> Returns the last 30 days of API requests for the workspace resolved from the API key, newest first, cursor-paginated.



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/workspace/requests
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.13
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v1/workspace/requests:
    get:
      tags:
        - Workspace Config
      summary: Get workspace request history
      description: >-
        Returns the last 30 days of API requests for the workspace resolved from
        the API key, newest first, cursor-paginated.
      operationId: getRequests
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            example: 50
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceRequestsDto'
components:
  schemas:
    WorkspaceRequestsDto:
      type: object
      properties:
        requests:
          type: array
          items:
            $ref: '#/components/schemas/RequestHistoryItemDto'
        next_cursor:
          type: string
          nullable: true
          description: Cursor for the next page; null when there are no more rows
          example: 1784123437933-0
      required:
        - requests
        - next_cursor
    RequestHistoryItemDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2026-07-15T14:22:31.933Z'
        method:
          type: string
          example: GET
        route:
          type: string
          example: /v1/risk/address
        status:
          type: number
          example: 200
        credits:
          type: number
          example: 1
        api_key:
          type: string
          nullable: true
          example: ...y123
      required:
        - timestamp
        - method
        - route
        - status
        - credits
        - api_key
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````